Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.linuxsampler.lscp
Class MidiInputDevice

    java.lang.Object
      org.linuxsampler.lscp.AbstractDevice
          org.linuxsampler.lscp.MidiInputDevice

All Implemented Interfaces:
  Device

    public class MidiInputDevice

extends AbstractDevice

Provides information about the current settings of a specific MIDI input device.

Constructor Summary
`MidiInputDevice()` Creates a new instance of MidiInputDevice

Method Summary
`MidiPort` | `getMidiPort(int index)` Gets the MIDI port at the specified index.
`int` | `getMidiPortCount()` Gets the current number of MIDI ports this device offers.
`MidiPort[]` | `getMidiPorts()` Gets the current non-`null` list of MIDI ports this device offers.
`Parameter<java.lang.Integer>` | `getPortsParameter()` Gets the `PORTS` parameter.
`void` | `setMidiPorts(MidiPort[] ports)` Sets the current list of MIDI ports.
`void` | `setPortsParameter(Parameter<java.lang.Integer> ports)` Sets the `PORTS` parameter.

Methods inherited from class org.linuxsampler.lscp.AbstractDevice
`addParameter, getActiveParameter, getAdditionalParameters, getDeviceId, getDriverName, hasAdditionalParameters, isActive, setActive, setDeviceId, setDriverName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MidiInputDevice

    public MidiInputDevice()

  Creates a new instance of MidiInputDevice

Method Detail

### getMidiPorts

    public MidiPort[] getMidiPorts()

  Gets the current non-`null` list of MIDI ports this device offers.

  Returns:
    A `MidiPort` array providing all MIDI ports this device offers.

### setMidiPorts

    public void setMidiPorts(MidiPort[] ports)

  Sets the current list of MIDI ports.

  Parameters:
    `ports` - The new list of MIDI ports.
  Throws:
    `java.lang.IllegalArgumentException` - If `ports` is `null`.

### getPortsParameter

    public Parameter<java.lang.Integer> getPortsParameter()

  Gets the `PORTS` parameter.

  Returns:
    A `Parameter` instance.

### setPortsParameter

    public void setPortsParameter(Parameter<java.lang.Integer> ports)

  Sets the `PORTS` parameter.

  Parameters:
    `ports` - The new `PORTS` parameter.

### getMidiPort

    public MidiPort getMidiPort(int index)

  Gets the MIDI port at the specified index.

  Parameters:
    `index` - The index of the MIDI port to be retrieved.

### getMidiPortCount

    public int getMidiPortCount()

  Gets the current number of MIDI ports this device offers.

  Returns:
    The current number of MIDI ports this device offers.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.